Search Unity

  1. We are migrating the Unity Forums to Unity Discussions. On July 12, the Unity Forums will become read-only.

    Please, do not make any changes to your username or email addresses at id.unity.com during this transition time.

    It's still possible to reply to existing private message conversations during the migration, but any new replies you post will be missing after the main migration is complete. We'll do our best to migrate these messages in a follow-up step.

    On July 15, Unity Discussions will become read-only until July 18, when the new design and the migrated forum contents will go live.


    Read our full announcement for more information and let us know if you have any questions.

Question ML Agents Version Problem

Discussion in 'ML-Agents' started by Dream_Surpass, Feb 15, 2023.

  1. Dream_Surpass

    Dream_Surpass

    Joined:
    Dec 2, 2022
    Posts:
    18
    I used ML Agents (Version 1.7.0 preview) in Unity to train my agent last year and saved model. But when I update ML Agents to Version 2.1.0 exp now and load the same model trained in earlier version, the agent shows totally different movement in the same env.

    Any ideas? Thanks a lot.
     
  2. hughperkins

    hughperkins

    Joined:
    Dec 3, 2022
    Posts:
    195
    downgrade to <2? Retrain from scratch? Technically, if one is using semver, https://semver.org/ , then major version upgrades == backwards incompatible / breaking changes. Going from 1.x.x to 2.x.x is a major version upgrade, and therefore could indicate a backwards incompatible / breaking change.